﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Kb6261_SampleApp1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraGrid1.DataSource = GetData();
        }

        private DataTable GetData()
        {
            DataTable dt = new DataTable();

            dt.Columns.Add("ID", typeof(int));
            dt.Columns.Add("FamilyName", typeof(String));
            dt.Columns.Add("GivenName", typeof(String));
            dt.Columns.Add("Prefecture", typeof(String));
            dt.Columns.Add("City", typeof(String));

            dt.Rows.Add(new object[] { 1, "田沢", "泰三", "新潟県", "新潟市西蒲区" });
            dt.Rows.Add(new object[] { 2, "玉木", "裕美子", "宮城県", "登米市" });
            dt.Rows.Add(new object[] { 3, "稲垣", "幸男", "鳥取県", "八頭郡八頭町" });
            dt.Rows.Add(new object[] { 4, "石橋", "幸春", "福井県", "越前市" });
            dt.Rows.Add(new object[] { 5, "小柳", "穂香", "大分県", "豊後大野市" });

            dt.PrimaryKey = new DataColumn[] { dt.Columns["ID"] };

            return dt;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Override.CellClickAction = Infragistics.Win.UltraWinGrid.CellClickAction.RowSelect;

            e.Layout.Override.SelectTypeRow = Infragistics.Win.UltraWinGrid.SelectType.Single;
        }
    }
}
